package main

import "core:path/filepath"
import "core:slice"
import rl "vendor:raylib"

Textures :: map[string]rl.Texture
tex_filepaths: rl.FilePathList

load_textures :: proc() -> Textures {
	result: Textures = make(map[string]rl.Texture)

	tex_filepaths := rl.LoadDirectoryFiles("./assets")

	for i: u32 = 0; i < tex_filepaths.count; i += 1 {
		item := tex_filepaths.paths[i]
		name := filepath.base(string(item))
		result[name] = rl.LoadTexture(item)
	}
	return result
}

unload_textures :: proc(textures: ^Textures) {
	for i, v in textures {
		rl.UnloadTexture(v)
	}
	rl.UnloadDirectoryFiles(tex_filepaths)
}
